## org.eclipse.emf.databinding.internal
Class EMFListPropertyDecorator

    java.lang.Object
      org.eclipse.core.databinding.property.list.ListProperty
          org.eclipse.emf.databinding.internal.EMFListPropertyDecorator

All Implemented Interfaces:
  org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.list.IListProperty, IEMFListProperty, IEMFProperty

    public class EMFListPropertyDecorator

extends org.eclipse.core.databinding.property.list.ListProperty
implements IEMFListProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFListPropertyDecorator(org.eclipse.core.databinding.property.list.IListProperty delegate, EStructuralFeature eStructuralFeature)`

Method Summary
`java.lang.Object` `getElementType()`
`EStructuralFeature` `getStructuralFeature()` Returns the descriptor of the `EStructuralFeature` being observed.
`IObservableFactory` `listFactory()`
`IObservableFactory` `listFactory(Realm realm)`
`IObservableList` `observe(java.lang.Object source)`
`IObservableList` `observe(Realm realm, java.lang.Object source)`
`IObservableList` `observeDetail(IObservableValue master)`
`java.lang.String` `toString()`
`IEMFListProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value property.
`IEMFListProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified value nested feature.
`IEMFListProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty
`values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty
`values`

Constructor Detail

### EMFListPropertyDecorator

    public EMFListPropertyDecorator(org.eclipse.core.databinding.property.list.IListProperty delegate,
                                    EStructuralFeature eStructuralFeature)

Parameters:
  `delegate` -
  `eStructuralFeature` -

Method Detail

### getElementType

    public java.lang.Object getElementType()

  Specified by:
    `getElementType` in interface `org.eclipse.core.databinding.property.list.IListProperty`

### values

    public IEMFListProperty values(EStructuralFeature feature)

  Description copied from interface: `IEMFListProperty`
  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `feature` - the feature
  Returns:
    a nested combination of this property and the specified nested feature.

### values

    public IEMFListProperty values(FeaturePath featurePath)

  Description copied from interface: `IEMFListProperty`
  Returns a master-detail combination of this property and the specified value nested feature.

  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `featurePath` - the nested feature to observe
  Returns:
    a nested combination of this property and the specified nested feature.
  See Also:
    `IEMFListProperty.values(IEMFValueProperty)`

### values

    public IEMFListProperty values(IEMFValueProperty property)

  Description copied from interface: `IEMFListProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this list property.

  Example:

       // Observes the list-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFListProperty children = EMFProperties
                      .list(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes the names of children of a Person object.
       IEMFListProperty childrenNames = children.values(name);

  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### getStructuralFeature

    public EStructuralFeature getStructuralFeature()

  Description copied from interface: `IEMFProperty`
  Returns the descriptor of the `EStructuralFeature` being observed.

  Specified by:
    `getStructuralFeature` in interface `IEMFProperty`
  Returns:
    the `EStructuralFeature` being observed

### observe

    public IObservableList observe(java.lang.Object source)

  Specified by:
    `observe` in interface `org.eclipse.core.databinding.property.list.IListProperty`
  Overrides:
    `observe` in class `org.eclipse.core.databinding.property.list.ListProperty`

### observe

    public IObservableList observe(Realm realm,
                                   java.lang.Object source)

  Specified by:
    `observe` in interface `org.eclipse.core.databinding.property.list.IListProperty`

### listFactory

    public IObservableFactory listFactory()

  Specified by:
    `listFactory` in interface `org.eclipse.core.databinding.property.list.IListProperty`
  Overrides:
    `listFactory` in class `org.eclipse.core.databinding.property.list.ListProperty`

### listFactory

    public IObservableFactory listFactory(Realm realm)

  Specified by:
    `listFactory` in interface `org.eclipse.core.databinding.property.list.IListProperty`
  Overrides:
    `listFactory` in class `org.eclipse.core.databinding.property.list.ListProperty`

### observeDetail

    public IObservableList observeDetail(IObservableValue master)

  Specified by:
    `observeDetail` in interface `org.eclipse.core.databinding.property.list.IListProperty`
  Overrides:
    `observeDetail` in class `org.eclipse.core.databinding.property.list.ListProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.